UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Adventurer
Adventurer
9,393 Views
Registered: ‎11-04-2010

SDK Error When Creating BSP Sources ("mb-ar": no such file or directory)

Jump to solution

Hello,

 

I work on a project with Vivado 2014.4.

My operating system is Debian Wheezy 7.8.

When I launch the SDK I get the following error while I try to create a new Xilinx Project.

It seems that it fails while trying to create the BSP sources.

 

15:40:14 ERROR : [Hsi 55-1545] Problem running tcl command ::sw_standalone_v4_2::post_generate : couldn't execute "mb-ar": no such file or directory
while executing
"exec $archiver -d $libgloss_a _interrupt_handler.o"
(procedure "::sw_standalone_v4_2::post_generate" line 18)
invoked from within
"::sw_standalone_v4_2::post_generate standalone"
[Hsi 55-1443] Error(s) while running TCL procedure post_generate()
15:40:14 ERROR : Error generating bsp sources: Failed to generate BSP.

 

Could the problem be any missing packages?

Thank you!

0 Kudos
1 Solution

Accepted Solutions
Adventurer
Adventurer
17,511 Views
Registered: ‎11-04-2010

Re: SDK Error When Creating BSP Sources ("mb-ar": no such file or directory)

Jump to solution

I found the solution to my problem and I reply it in case it is useful to anyone.

According to the link below I had to install the ia32-libs package.

 

http://unix.stackexchange.com/questions/12956/how-do-i-run-32-bit-programs-on-a-64-bit-debian-ubuntu

0 Kudos
1 Reply
Adventurer
Adventurer
17,512 Views
Registered: ‎11-04-2010

Re: SDK Error When Creating BSP Sources ("mb-ar": no such file or directory)

Jump to solution

I found the solution to my problem and I reply it in case it is useful to anyone.

According to the link below I had to install the ia32-libs package.

 

http://unix.stackexchange.com/questions/12956/how-do-i-run-32-bit-programs-on-a-64-bit-debian-ubuntu

0 Kudos